Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer.filetransfer
Class UploadFormService

    java.lang.Object
      nextapp.echo2.webcontainer.filetransfer.UploadFormService

All Implemented Interfaces:
  java.io.Serializable, Service

    public class UploadFormService

extends java.lang.Object
implements java.io.Serializable, Service

Renders an HTML page containing a form with a single file upload element and an optional Send button, based on the `UploadSelect` that is given.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `FILE_PARAMETER_NAME`
`static UploadFormService` | `INSTANCE`
`static Service` | `UPLOAD_SERVICE` Service to provide supporting JavaScript library.

Fields inherited from interface nextapp.echo2.webrender.Service
`DO_NOT_CACHE`

Constructor Summary
`UploadFormService()`

Method Summary
`java.lang.String` | `createUri(ContainerInstance containerInstance, java.lang.String imageId)` Creates a URI to execute a specific `UploadFormService`
`protected java.lang.String` | `ensureValue(java.lang.String value, java.lang.String defaultValue)`
`java.lang.String` | `getId()` Returns the unique identifier of this service.
`protected java.lang.String` | `getResourceProperty(java.lang.String key, java.util.Locale locale)`
`int` | `getVersion()` Returns the version of the service to be retrieved.
`void` | `service(Connection conn)` Services an HTTP request.
`protected void` | `service(Connection conn, UploadSelect uploadSelect)`
`protected void` | `serviceBadRequest(Connection conn, java.lang.String message)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_PARAMETER_NAME

    public static final java.lang.String FILE_PARAMETER_NAME

See Also:
  Constant Field Values

### INSTANCE

    public static final UploadFormService INSTANCE

### UPLOAD_SERVICE

    public static final Service UPLOAD_SERVICE

  Service to provide supporting JavaScript library.

Constructor Detail

### UploadFormService

    public UploadFormService()

Method Detail

### createUri

    public java.lang.String createUri(ContainerInstance containerInstance,
                                      java.lang.String imageId)

  Creates a URI to execute a specific `UploadFormService`

  Parameters:
    `containerInstance` - the relevant application container instance.
    `imageId` - the unique id to retrieve the image from the `ContainerInstance`

### getId

    public java.lang.String getId()

  Description copied from interface: `Service`
  Returns the unique identifier of this service.

  Specified by:
    `getId` in interface `Service`
  Returns:
    The unique identifier of this service.
  See Also:
    `Service.getId()`

### getVersion

    public int getVersion()

  Description copied from interface: `Service`
  Returns the version of the service to be retrieved. When a service is requested with an updated version number, a non-cached copy will be used. `getVersion()` should return distinct values whenever the service's content may have changed.

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The current version number of the service.
  See Also:
    `Service.getVersion()`

### service

    public void service(Connection conn)
                 throws java.io.IOException

  Description copied from interface: `Service`
  Services an HTTP request. Information about the HTTP request as well as methods for issuing a response are available from the provided Connection object.

  Specified by:
    `service` in interface `Service`
  Parameters:
    `conn` - A `Connection` object which wraps `HttpServletRequest` and `HttpServletResponse` objects and provides access to the facilities of the Echo application container.
  Throws:
    `java.io.IOException` - in the event of errors related to processing the HTTP request or producing a response.
  See Also:
    `Service.service(Connection)`

### service

    protected void service(Connection conn,
                           UploadSelect uploadSelect)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### ensureValue

    protected java.lang.String ensureValue(java.lang.String value,
                                           java.lang.String defaultValue)

### getResourceProperty

    protected java.lang.String getResourceProperty(java.lang.String key,
                                                   java.util.Locale locale)

### serviceBadRequest

    protected void serviceBadRequest(Connection conn,
                                     java.lang.String message)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD